Name:           unp
Version:        0.3
Release:        12%{?dist}
Summary:        A command line tool that can unpack archives easily

License:        BSD
URL:            http://github.com/mitsuhiko/unp/
Source0:        https://pypi.python.org/packages/source/u/unp/unp-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/mitsuhiko/unp/a9508c8de46b58cdbfcae5c0bad65df0754e88d4/LICENSE
BuildArch:      noarch
 
BuildRequires:  python3-devel

Requires:       python3-click
Requires:       python3-setuptools

%description
unp is a command line tool that can unpack archives easily.  It
mainly acts as a wrapper around other shell tools that you can
find on various POSIX systems.

%prep
%setup -q -n unp-%{version}
# Remove bundled egg-info
rm -rf unp.egg-info
cp -p %{SOURCE1} .


%build
%py3_build


%install
%py3_install


%files
%license LICENSE
%doc README

%{_bindir}/unp
%{python3_sitelib}/unp.py*
%{python3_sitelib}/unp-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/unp*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3-11
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3-7
- Rebuild for Python 3.6

* Wed Jul 20 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.3-6
- Fixed FTBFS due to unpackaged file
- Modernize SPEC

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 10 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.3-1
- Initial package.
